package com.community.huiju.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.community.huiju.model.TaUserVerify;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * app端用户审核表，存放用户的角色还有房产信息 Mapper 接口
 * </p>
 *
 * @author jobob
 * @since 2019-04-03
 */
@Mapper
public interface TaUserVerifyMapper extends BaseMapper<TaUserVerify> {

    /**
     * 根据 手机号 、用户名、身份证
     * @param page
     * @param phone
     * @param userName
     * @param idCard
     * @return
     */
    IPage<TaUserVerify> selectAllByPhoneAndUserNameAndIdCard(Page page, @Param("phone") String phone, @Param("userName") String userName, @Param("idCard") String idCard);

    /**
     * 根据 小区id 、 小区、期、栋、单元、楼层、户号 进行条件查询出 已审核通过的并且是业主
     * @param communityId
     * @param phaseId
     * @param buildingId
     * @param unitId
     * @param levelId
     * @param roomNoId
     * @return
     */
    TaUserVerify selectCommunityAndAddress(Integer communityId,Integer phaseId,Integer buildingId, Integer unitId,Integer levelId,Integer roomNoId);

}
