package com.community.huiju.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.time.LocalDateTime;
import java.io.Serializable;
import java.util.List;

import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 物业web端二手交易评论表
 * </p>
 *
 * @author jobob
 * @since 2019-04-09
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("tp_transaction_reply")
public class TransactionReply implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;
    /**
     * 小区id
     */
    private Integer communityId;

    /**
     * 交易帖子ID
     */
    private Integer transactionId;

    /**
     * 回复帖子的住户APP端的用户ID
     */
    private Integer taUserId;

    /**
     * 回复帖子的住户APP端的用户姓名
     */
    private String taUserName;

    /**
     * 0代表app端用户，1代表物业端用户，
     */
    private String releaseIdentity;

    /**
     * 回复内容
     */
    private String replyContent;

    /**
     * 被回复的评论内容的住户App端用户ID
     */
    private Integer replyTaUserId;

    /**
     * 被回复的评论内容的住户App端用户姓名
     */
    private String replyTaUserName;

    /**
     * 创建时间
     */
    private LocalDateTime createDate;

    /**
     * 回复的图片List
     */
    @TableField(exist = false)
    private List<String> tdImagesLists;
}
